<?php
namespace wechat\modules\cp\controllers;

use Yii;
use wechat\models\AdminApi;

class CommonController extends BaseController
{
    public function actionFrameHeader()
    {
        return $this->render('frame_header');
    }

    public function actionFrameMain()
    {
        return $this->render('frame_main');
    }

    public function actionFrameMenu()
    {
        return $this->render('frame_menu');
    }

    public function actionFrameMiddle()
    {
        return $this->render('frame_middle');
    }

    public function actionCssJsMain()
    {
        return $this->render('css_js_main');
    }

    public function actionSuccess()
    {
        $redirectUrl = Yii::$app->request->get('redirectUrl', ''); // 参数可选
        $tip = Yii::$app->request->get('tip', ''); // 参数可选
        return $this->render('success', ['redirectUrl' => $redirectUrl, 'tip' => $tip]);
    }

    public function actionError()
    {
        $redirectUrl = Yii::$app->request->get('redirectUrl', ''); // 参数可选
        $tip = Yii::$app->request->get('tip', ''); // 参数可选
        return $this->render('error', ['redirectUrl' => $redirectUrl, 'tip' => $tip]);
    }
    
}
